# Uses of Class
java.lang.ScopedValue

Packages that use ScopedValuePREVIEW
Package
Description
java.lang
Provides classes that are fundamental to the design of the Java programming language.

## Uses of ScopedValuePREVIEW in java.lang

Methods in java.lang that return ScopedValuePREVIEW
Modifier and Type
Method
Description
`static <T> ScopedValuePREVIEW<T>`
ScopedValue.`newInstance()`
Creates a scoped value that is initially unbound for all threads.
Methods in java.lang with parameters of type ScopedValuePREVIEW
Modifier and Type
Method
Description
`<T> T`
ScopedValue.Carrier.`get(ScopedValuePREVIEW<T> key)`
Returns the value of a `ScopedValue`PREVIEW in this mapping.
`<T> ScopedValue.CarrierPREVIEW`
ScopedValue.Carrier.`where(ScopedValuePREVIEW<T> key, T value)`
Returns a new `Carrier` with the mappings from this carrier plus a new mapping from `key` to `value`.
`static <T> ScopedValue.CarrierPREVIEW`
ScopedValue.`where(ScopedValuePREVIEW<T> key, T value)`
Creates a new `Carrier` with a single mapping of a `ScopedValue` key to a value.